<template>
  <ob-modal
    ref="logchainModalFind"
    title="Ищем логцепочки для вашего маршрута"
    size="medium"
    :is-show-controls="false"
    data-qa="logchainModalFind"
    custom-class="ob-logchains-modal-find-wrapper"
    @closed="$emit('close')"
  >
    <div class="ob-logchain-modal">
      <preloader />
      <template v-if="tookLong">
        <h3>Загрузка затянулась, извините</h3>
        <p>Подождите ещё немного или <span @click="abortSearch">закройте это окно</span></p>
      </template>
    </div>
  </ob-modal>
</template>

<script>
  import ObModal from 'common-components/src/obComponents/obModal';
  import Preloader from 'common-components/src/obComponents/obLoader';

  export default {
    name: 'orderLogchainFind',

    components: {
      ObModal,
      Preloader
    },

    props: {
      tookLong: {
        type: Boolean,
        default: false
      }
    },

    methods: {
      open () {
        this.$refs.logchainModalFind.open()
      },
      close () {
        this.$refs.logchainModalFind.close()
      },
      abortSearch() {
        this.$refs.logchainModalFind.close();
        this.$router.go();
      }
    },
  }
</script>

<style lang="scss">
@import "~common-components/src/static/css/variables";
@import "~common-components/src/static/css/mixins";

.ob-logchains-modal-find-wrapper {


  .ob-logchain-modal {
    padding: 0 24px;
    text-align: center;

    .preloader-wrap {
      position: static;
      margin: 70px 0 45px;
      background: #fff;

      svg {
        height: 110px;
      }
    }

    h3 {
      margin-top: 40px;
      @include font-mixin(24px, 29px, 400, $color-grey-span);
      text-align: center;
    }

    h3 + p {
      margin-top: 10px;
      @include font-mixin(16px, 20px, 400, $color-text-base);
    }

    span {
      color: $color-blue-navy-blue;
      cursor: pointer;
    }
  }

  .modal-header {
    margin-bottom: 40px;
  }

  .ob-ty-modal-title {
    text-align: center;
  }

  .ob-logchain-modal {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}
</style>
